List Identity Providers
curl --request GET \
--url https://{tenantDomain}/my-org/v1/identity-providers \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}/my-org/v1/identity-providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/my-org/v1/identity-providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"identity_providers": [
{
"id": "con_zW1UHutvkVWSWdCC",
"name": "oidcIdp",
"display_name": "OIDC IdP",
"strategy": "oidc",
"show_as_button": true,
"assign_membership_on_login": false,
"access_level": "full",
"domains": [
"mydomain.com"
],
"is_enabled": true,
"options": {
"type": "front_channel",
"client_id": "a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d",
"discovery_url": "https://{yourDomain}/.well-known/openid-configuration"
},
"attributes": [
{
"sso_field": [
"userName"
],
"user_attribute": "preferred_username",
"description": "Preferred Username",
"label": "Preferred username",
"is_required": true,
"is_extra": false,
"is_missing": false
},
{
"sso_field": [
"externalId"
],
"user_attribute": "external_id",
"is_required": true,
"is_extra": true,
"is_missing": false
}
]
},
{
"id": "con_zW1UHutvkVWSWdCD",
"name": "samlIdp",
"display_name": "Saml IdP",
"strategy": "samlp",
"show_as_button": true,
"assign_membership_on_login": false,
"access_level": "limited",
"domains": [
"mydomain.com"
],
"is_enabled": true,
"options": {
"signatureAlgorithm": "rsa-sha256",
"digestAlgorithm": "sha256",
"protocolBinding": "urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST",
"signSAMLRequest": true,
"bindingMethod": "HTTP-Redirect",
"metadataUrl": "a.metadata.url",
"cert": "MIIDQjCCAiugAwIBAgIRAMp+cW+SgQ2Yh7fF8v8b0OQwDQYJKoZIhvcNAQELBQAw...",
"idpInitiated": {
"enabled": true,
"client_id": "a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d",
"client_protocol": "SAML",
"client_authorizequery": "redirect_uri=https://jwt.io&scope=openid email&response_type=token"
}
},
"attributes": [
{
"sso_field": [
"userName"
],
"user_attribute": "preferred_username",
"description": "Preferred Username",
"label": "Preferred username",
"is_required": true,
"is_extra": false,
"is_missing": false
},
{
"sso_field": [
"externalId"
],
"user_attribute": "external_id",
"is_required": true,
"is_extra": true,
"is_missing": false
}
]
}
]
}{
"type": "https://auth0.com/api-errors#A0E-401-0002",
"status": 401,
"title": "Missing Token",
"detail": "No auth token provided."
}{
"type": "https://auth0.com/api-errors#A0E-403-0002",
"status": 403,
"title": "Insufficient Scope",
"detail": "The auth token lacks the required scope: Check the API documentation for the required scopes for this endpoint."
}{
"type": "https://auth0.com/api-errors#A0E-404-0002",
"status": 404,
"title": "Resource Not Found",
"detail": "The organization does not exist."
}{
"type": "https://auth0.com/api-errors#A0E-429-0003",
"status": 429,
"title": "Endpoint Rate Limit Exceeded",
"detail": "The endpoint request limit has been exceeded."
}List Identity Providers
Retrieve the comprehensive list of identity providers and their respective configurations associated with an Auth0 Organization.
GET
/
identity-providers
List Identity Providers
Authorizations
OAuth2ClientCredentialsOAuth2AuthCode
The access token received from the authorization server in the OAuth 2.0 flow.
Response
List of identity providers successfully retrieved.
identity_providers
(IdP ADFS Response · object | IdP Google Workforce Response · object | IdP OIDC Response · object | IdP Okta Response · object | IdP Ping Response · object | IdP SAML Response · object | IdP Microsoft Azure AD Response · object)[]
Identity provider specific options.
- IdP ADFS Response
- IdP Google Workforce Response
- IdP OIDC Response
- IdP Okta Response
- IdP Ping Response
- IdP SAML Response
- IdP Microsoft Azure AD Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I